<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::registrationManager::RegistrationObserverInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1registration_manager.html">registrationManager</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html">RegistrationObserverInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::registrationManager::RegistrationObserverInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_registration_observer_interface_8h_source.html">RegistrationObserverInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::registrationManager::RegistrationObserverInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface_inherit__map" id="alexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1registration_manager_1_1test_1_1_mock_registration_observer.html" title="alexaClientSDK::registration\lManager::test::MockRegistration\lObserver" alt="" coords="313,5,526,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html" title="Observes user input from the console and notifies the interaction manager of the user&#39;s intentions..." alt="" coords="325,81,514,120"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2a1b78ee33da96fd9de2449fe05c09cc"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html#a2a1b78ee33da96fd9de2449fe05c09cc">~RegistrationObserverInterface</a> ()=default</td></tr>
<tr class="separator:a2a1b78ee33da96fd9de2449fe05c09cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66ac49ddd2a7d1b683d7ab39f5582e2e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_observer_interface.html#a66ac49ddd2a7d1b683d7ab39f5582e2e">onLogout</a> ()=0</td></tr>
<tr class="separator:a66ac49ddd2a7d1b683d7ab39f5582e2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This interface is used to observe changes to the device registration, such as user logout. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2a1b78ee33da96fd9de2449fe05c09cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a1b78ee33da96fd9de2449fe05c09cc">&#9670;&nbsp;</a></span>~RegistrationObserverInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::registrationManager::RegistrationObserverInterface::~RegistrationObserverInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Virtual destructor to assure proper cleanup of derived types. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a66ac49ddd2a7d1b683d7ab39f5582e2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66ac49ddd2a7d1b683d7ab39f5582e2e">&#9670;&nbsp;</a></span>onLogout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::registrationManager::RegistrationObserverInterface::onLogout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that the current customer has logged out.</p>
<dl class="section warning"><dt>Warning</dt><dd>This method is called while <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_manager.html">RegistrationManager</a> is in a locked state. The callback must not block on calls to <a class="el" href="classalexa_client_s_d_k_1_1registration_manager_1_1_registration_manager.html">RegistrationManager</a> methods either. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_user_input_manager.html#a8208a98e022da67f075ee025992534f0">alexaClientSDK::sampleApp::UserInputManager</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/RegistrationManager/include/RegistrationManager/<a class="el" href="_registration_observer_interface_8h_source.html">RegistrationObserverInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
